.contact {
	padding-bottom: 90px;
	
	&__header {
		margin-bottom: 20px;
		
		&--title {
			margin: 0;
			font-weight: 700;
			line-height: 125%;
			font-size: font-size-rel(24px);
		}
	}
	
	&__map {
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		opacity: 0;
		visibility: hidden;
		z-index: -1;
		position: fixed;
		background: #ddd;
		
		&--button {
			top: 10px;
			right: 10px;
			z-index: 3001;
			position: fixed;
			width: 50px;
			height: 50px;
			font-size: 0;
			line-height: 0;
			border: none;
			outline: none;
			border-radius: 50%;
			background: #F5F5F5;
			display: inline-block;
			
			&:after,
			&:before {
				top: 50%;
				left: calc(50% - 9px);
				z-index: 10;
				width: 18px;
				height: 1px;
				content: '';
				position: absolute;
				background: #2A2A2A;
				display: inline-block;
			}
			
			&:after {
				transform: rotate(45deg);
			}
			
			&:before {
				transform: rotate(-45deg);
			}
		}
		
		&--source {
			height: 100%;
			z-index: 10;
			position: relative;
		}
		
		&.open {
			opacity: 1;
			z-index: 3000;
			visibility: visible;
		}
		
		&--links {
			left: 0;
			right: 0;
			bottom: 0;
			margin: 0;
			z-index: 50;
			position: absolute;
			list-style: none;
			padding: 0 15px 15px 15px;
			display: grid;
			grid-row-gap: 15px;
			grid-column-gap: 15px;
			grid-template-columns: 1fr;
			
			li {
				
				&:last-child {
					margin-bottom: 0;
				}
			}
		}
		
		&--link {
			display: block;
			color: $gray-500;
			text-align: center;
			text-decoration: none;
			background: #ffffff;
			padding: 15px;
			font-size: font-size-rel(12px);
			line-height: font-size-rel(15px);
			box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.1);
			border-radius: 4px;
			
			&:hover {
				color: $gray-500;
				text-decoration: none;
			}
		}
	}
	
	&__box {
	
		&--wrap {
			max-width: 380px;
		}
	}
	
	&__info {
		padding-top: 50px;
		
		&--row {
			display: grid;
			grid-column-gap: 15px;
			grid-row-gap: 15px;
			grid-template-columns: 1fr;
		}
	}
	
	
	@media (min-width: 576px) {
	
		&__info {
			
			&--row {
				grid-template-columns: 1fr 1fr;
			}
		}
		
		&__map {
			
			&--links {
				grid-template-columns: 1fr 1fr 1fr;
			}
		}
	}
	
	@media (min-width: $screen-sm-min) {
	
		&__header {
			margin-bottom: 30px;
			
			&--title {
				font-size: font-size-rel(33px);
			}
		}
	}
	
	@media (min-width: $screen-md-min) {
		
		&__header {
			
			&--title {
				font-size: font-size-rel(41px);
			}
		}
		
		&__map {
			opacity: 1;
			visibility: visible;
			top: auto;
			left: auto;
			right: auto;
			bottom: auto;
			z-index: 10;
			height: 700px;
			position: relative;
			
			&--button {
				display: none;
			}
			
			&--links {
				display: none;
			}
		}
		
		&__box {
			z-index: 50;
			position: relative;
			
			&--container {
				position: relative;
			}
			
			&--wrap {
				top: 0;
				left: 0;
				height: 700px;
				width: 400px;
				max-width: inherit;
				position: absolute;
				display: flex;
				flex-direction: column;
			}
		}
		
		&__info {
			padding-top: 90px;
			
			&--row {
				grid-column-gap: 30px;
				grid-row-gap: 30px;
				grid-template-columns: 1fr 1fr 1fr;
			}
		}
	}
	
	@media (min-width: $screen-lg-min) {
		padding-bottom: 120px;
		
		&__map {
			height: 800px;
		}
		
		&__box {
			
			&--wrap {
				width: 450px;
				height: 800px;
			}
		}
		
		&__info {
			
			&--row {
				grid-template-columns: 1fr 1fr 1fr 1fr;
			}
		}
	}
	
	@media (min-width: $screen-lg-min) {
		
		&__info {
			
			&--row {
				grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
			}
		}
	}
}

.contact-box {
	color: #2A2A2A;
	line-height: 120%;
	font-size: font-size-rel(15px);

	
	&__header {
		display: none;
	}
	
	&__group {
		margin-bottom: 25px;
		
		&--title {
			font-weight: 700;
			margin-bottom: 10px;
		}
		
		&--row {
			display: flex;
			align-items: flex-start;
		}
	}
	
	&__icon {
		height: 30px;
		font-size: 0;
		line-height: 0;
		white-space: nowrap;
	}
	
	&__content {
		padding-top: 3px;
		padding-left: 5px;
		
		&--text {
			line-height: 145%;
			margin-bottom: 4px;
			
			a {
				color: #2A2A2A;
				text-decoration: none;
				
				&:hover {
					color: #2A2A2A;
					text-decoration: none;
				}
			}
		}
		
		&--note {
			color: #ACACAC;
		}
	}
	
	&__text {
		color: #2A2A2A;
		line-height: 165%;
		padding: 10px 15px;
		border-radius: 4px;
		background: #F9F9F9;
		margin-bottom: 15px;
		font-size: font-size-rel(12px);
	}
	
	&__map {
		margin-top: 15px;
	}
	
	.btn {
		width: 100%;
	}
	
	@media (min-width: $screen-sm-min) {
	
	}
	
	@media (min-width: $screen-md-min) {
		margin: auto 0;
		border-radius: 15px;
		padding: 40px 40px 50px 40px;
		background: $white;
		
		&__header {
			display: block;
			font-weight: 700;
			margin-bottom: 20px;
			font-size: font-size-rel(21px);
			line-height: 145%;
		}
		
		&__map {
			display: none;
		}
	}
	
	@media (min-width: $screen-lg-min) {
		font-size: font-size-rel(17px);
	
		&__header {
			font-size: font-size-rel(27px);
		}
		
		&__group {
			margin-bottom: 35px;
		}
		
		&__text {
			font-size: font-size-rel(17px);
		}
	}
}

.contact-item {
	color: #2A2A2A;
	text-align: center;
	background: $white;
	border-radius: 15px;
	line-height: 120%;
	font-size: font-size-rel(15px);
	padding: 20px 20px 30px 20px;
	border: 1px solid #EEEEEE;
	
	&__photo {
		width: 120px;
		height: 120px;
		display: block;
		border-radius: 50%;
		margin: 0 auto 15px auto;
	}
	
	&__name {
		margin-bottom: 5px;
	}
	
	&__staff {
		color: #ACACAC;
		margin-bottom: 20px;
		font-size: font-size-rel(14px);
	}
	
	&__info {
		padding: 0;
		list-style: none;
		margin: 0 0 20px 0;
		
		li {
			margin-bottom: 5px;
			
			&:last-child {
				margin-bottom: 0;
			}
			
			a {
				color: $gray-500;
				text-decoration: none;
				
				&:hover {
					color: $gray-500;
					text-decoration: none;
				}
			}
		}
	}
	
	&__link {
		font-weight: 500;
		color: $blue-100;
		text-decoration: none;
		display: inline-block;
		
		&:hover {
			color: $blue-100;
			text-decoration: underline;
		}
	}

	&__email {
		font-size: font-size-rel(14px);
	}
	
	@media (min-width: 576px) {
	
	}
	
	@media (min-width: $screen-sm-min) {
	
	}
	
	@media (min-width: $screen-md-min) {
		font-size: font-size-rel(17px);
		
		&__staff {
			margin-bottom: 30px;
			font-size: font-size-rel(14px);
		}
		
		&__info {
			margin-bottom: 30px;
		}
	}
	
	@media (min-width: $screen-lg-min) {
	
	}
}
